Subject: Re: network interface cards native vlans support in linux kernel?

From: Jeff Garzik <[email-masked]>
Date: Fri, 11 Jul 2003 13:18:58 -0400

On Fri, Jul 11, 2003 at 10:11:57AM -0700, Ben Greear wrote:
> eepro100 does not seem to be updated in the kernel anymore, though if you 
> go figure
> out how to install Becker's drivers, he may have it working with vlans
> by now.

I won't say for sure, but I'm fairly certain he does.  Most of his
drivers got a "slightly larger than normal MTU" pass-over a while ago.

I objected to the eepro100 patch, because all it did was change one
magic number to another, in the configuration data.  I had absolutely no
basis for evaluation other than "I hope it works", so it was rejected.

If someone wants to look at his eepro100 and merge in new changes (vlan
or otherwise), that'd be great.  His tulip MTU (aka vlan) changes also
want pulling into mainline kernel, since his changes are _much_ better
than the tulip vlan patch floating around.

	Jeff